#ifndef MODULE_H
#define MODULE_H

#include "pch.hpp"

class Module {

    public:
        typedef Module* create_t();
        typedef void destroy_t(Module*);


        virtual ~Module() {}
        virtual void run() = 0;
};

#endif
